python-testtools (2.7.1-3) unstable; urgency=medium

  * Drop dependencies on python3-distutils (Closes: #1065938).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 08:37:05 +0100

python-testtools (2.7.1-2) unstable; urgency=medium

  * Switch to pybuild.
  * Add missing build-depends (hach-vcs, hatching...).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2024 11:37:25 +0100

python-testtools (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-setuptools-scm as build-depends.
  * Export SETUPTOOLS_SCM_PRETEND_VERSION in d/rules.
  * Add python3-twisted as build-depends.
  * Fix autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 10:31:52 +0100

python-testtools (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:51:10 +0200

python-testtools (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (b-)depends for this release.
  * Removed patches applied upstream:
    - py3.11-Fix_various_test_failures.patch
    - py3.11-Upgrade_asserts_with_teyit.patch
    - py3.11-fix-using-distribution.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:37:55 +0200

python-testtools (2.5.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1047778).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 14:36:28 +0200

python-testtools (2.5.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-testtools-doc: Add Multi-Arch: foreign.

  [ Thomas Goirand ]
  * Add upstream py3.11 patches (Closes: #1026579):
    - py3.11-Fix_various_test_failures.patch
    - py3.11-Upgrade_asserts_with_teyit.patch
  * Fix testing distutils (my own patch):
    - py3.11-fix-using-distribution.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Dec 2022 13:53:30 +0100

python-testtools (2.5.0-3) unstable; urgency=medium

  * Add fix-testing-test_syntax_error.patch (Closes: #1002440).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 14:21:40 +0100

python-testtools (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:35:42 +0200

python-testtools (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, removing lots of depends.
  * Rebase / refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:47:40 +0200

python-testtools (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch file.
  * Add a debian/salsa-ci.yml.
  * Add remove-test_syntax_error_line_utf_8.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:24:30 +0200

python-testtools (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fix_the_tests_on_Python_3.7.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 17:12:37 +0200

python-testtools (2.3.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Debian Janitor ]
  * debian/copyright: Use spaces rather than tabs in continuation lines.

  [ Thomas Goirand ]
  * Removed Py2 tests (Closes: #948990).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jan 2020 17:28:44 +0100

python-testtools (2.3.0-6) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove Robert Collins from uploaders, as he has retired.  Closes: #920508

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938215).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 18:51:58 +0200

python-testtools (2.3.0-5) unstable; urgency=medium

  [ Thomas Goirand ]
  * Apply debdiff from Ubuntu (Closes: #898663):
    - d/p/fix-test-run.py.patch: Dropped. No longer needed.
  * Add Fix_the_tests_on_Python_3.7.patch.

  [ Mattia Rizzolo ]
  * Use an alternate dependency on libpython3.5-stdlib for python3-distutils,
    which is not available in stretch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 May 2018 10:17:20 +0200

python-testtools (2.3.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Add missing python3-distutils runtime depends: (Closes: #894771).
  * Set team+openstack@tracker.debian.org as maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2018 16:37:46 +0200

python-testtools (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/control: Execution of dep8 tests requires python(3)-testscenarios
    (Closes: #881819)

 -- Ondřej Nový <onovy@debian.org>  Wed, 15 Nov 2017 16:03:50 +0100

python-testtools (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/copyright ordering.
  * Removed XS-Testsuite:.
  * Removed Recommends: python-fixtures as it's in runtime depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:39:28 +0000

python-testtools (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Running unit tests again.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:51:44 +0200

python-testtools (1.8.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run unit tests of testtools, as it is currently broken in Debian.
  * Removed python-fixtures build-depends to avoid circular build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 11:47:22 +0000

python-testtools (1.8.0-2) experimental; urgency=medium

  * Added missing python-linecache2 (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jul 2015 12:06:03 +0200

python-testtools (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed useless X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.0.
  * Switched to Git tag workflow instead of SVN:
    - Added a debian/gbp.conf
    - Fixed VCS fields in debian/control.
    - Switched team Maintainer: field.
  * Added dh-python as build-depends.
  * Moved some build-depends to build-depends-indep.
  * Ran wrap-and-sort -t -a.
  * Dropped some Breaks+Replaces not needed since the Jessie release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jul 2015 11:13:16 +0200

python-testtools (0.9.39-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Don't install empty placeholder file; fixes lintian warning.

  [ Martin Pitt ]
  * Semi-DPMT team member upload with Robert's permission.
  * New upstream release.
  * Suggest -doc package (Closes: #740571)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Aug 2014 10:35:16 +0200

python-testtools (0.9.35-2) unstable; urgency=medium

  * Re-add myself to uploaders.
  * Add basic autopkgtest tests.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Jul 2014 00:11:19 +0200

python-testtools (0.9.35-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Do not remove testtools.egg-info, add extend-diff-ignore =
    "^[^/]*[.]egg-info/" in debian/source/options.
  * Fixes the way the sphinx doc is built, and now using a specific and
    separate doc package to store the documentation: do not use the "make doc"
    and call sphinx directly.
  * Removed useless dh_auto_build override.
  * Added python-mimeparse, python3-mimeparse, python-testresources (>= 0.2.7)
    as build-depends.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2014 13:39:29 +0800

python-testtools (0.9.32-2) unstable; urgency=low

  * Added missing python-mimeparse build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2013 04:21:28 +0000

python-testtools (0.9.32-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 07:22:17 +0000

python-testtools (0.9.29-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 06:23:25 +0000

python-testtools (0.9.29-2) experimental; urgency=low

  * Added missing build-depends: python3-setuptools, python-setuptools and
    python-extras.
  * Build-depends: python-fixtures must be >= 0.3.12~

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2013 18:49:02 +0000

python-testtools (0.9.29-1) experimental; urgency=low

  * New upstream release.
  * Rewrote debian/copyright using parsable format 1.0.
  * Now using source format 3.0 (quilt).
  * Standard-Version is now 3.9.4.
  * Compat and debhelper are now 9.
  * X-Python-Version: >= 2.6 instead of 2.5.
  * Removes embedded version of jquery.js and underscore.js, and recommends
    corresponding Debian packages.
  * Sets the Debian Python Modules Team as new Maintainer:, switches the VCS
    field to the SVN of the team, removed debian/bzr-builddeb.conf.
  * Added minor changes in long and short descriptions (so that python 2 and 3
    modules don't have the same descriptions).
  * The watch file now uses tags from github.
  * Cleans now does rm -rf build testtools.egg-info doc/_build.
  * Added doc-base registration.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Feb 2013 12:18:38 +0000

python-testtools (0.9.21-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 07 Dec 2012 01:06:06 +0100

python-testtools (0.9.14-2) unstable; urgency=low

  * Add python3-testtools package.
  * Migrate to debhelper 7, for easier packaging for Python3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 12 Mar 2012 20:58:59 +0100

python-testtools (0.9.14-1) unstable; urgency=low

  * Add watch file.
  * New upstream release.
   + Now uses super to call setUp()/tearDown() for compatibility with
     multiple inheritance and Python 2.7. LP: #771508
  * Add myself to uploaders.
  * Bump standards version to 3.9.3 (no changes).
  * Add Vcs-Bzr header. Closes: #574603
  * Migrate to dh_python2. Closes: #617036
  * Only install for Python 2.5 and later. LP: #847827
  * Run testsuite during package build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Mar 2012 23:25:35 +0100

python-testtools (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * Ship new html docs instead of the (gone) ReST MANUAL.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 12 Jun 2011 13:15:23 +1200

python-testtools (0.9.8-1) unstable; urgency=low

  * New upstream release. Closes: #606479

 -- Robert Collins <robertc@robertcollins.net>  Sat, 18 Dec 2010 21:11:40 +1300

python-testtools (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 04 Jul 2010 20:28:41 +1000

python-testtools (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Include the manual in the package.

 -- Robert Collins <robertc@robertcollins.net>  Wed, 16 Dec 2009 10:10:03 +1100

python-testtools (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 22 Nov 2009 14:31:14 +1100

python-testtools (0.1~r16-1) unstable; urgency=low

  * Add to Debian. Closes: #547479
  * Change Maintainer to me.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 20 Sep 2009 16:45:45 +1000

python-testtools (0.1~r16-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #359308)
  * This is r16 from lp:~statik/testtools/add-manifest

 -- Elliot Murphy (personal) <elliot.murphy@gmail.com>  Wed, 08 Apr 2009 15:07:49 -0400
